
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass ]
  public partial class RJLogMessage : Action
  {
    [Export]
    public string message;

    [Export]
    public bool printPath;

    protected override void _OnTrigger()
    {
      if ( printPath )
      {
        this.LogInfo( message );
      }
      else
      {
        RJLog.Log( message ); 
      }
    }
  }
}